# Uses of Interface
org.apache.zookeeper.metrics.SummarySet

Packages that use SummarySet
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.metric

## Uses of SummarySet in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics that return SummarySet
Modifier and Type
Method
Description
`SummarySet`
MetricsContext.`getSummarySet(String name, MetricsContext.DetailLevel detailLevel)`
Returns a set of summaries.

## Uses of SummarySet in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl that return SummarySet
Modifier and Type
Method
Description
`SummarySet`
NullMetricsProvider.NullMetricsContext.`getSummarySet(String name, MetricsContext.DetailLevel detailLevel)`

## Uses of SummarySet in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as SummarySet
Modifier and Type
Field
Description
`final SummarySet`
ServerMetrics.`ACK_LATENCY`
`final SummarySet`
ServerMetrics.`LEARNER_HANDLER_QP_SIZE`
Learner handler quorum packet metrics.
`final SummarySet`
ServerMetrics.`LEARNER_HANDLER_QP_TIME`
`final SummarySet`
ServerMetrics.`READ_PER_NAMESPACE`
`final SummarySet`
ServerMetrics.`WRITE_PER_NAMESPACE`
Methods in org.apache.zookeeper.server with parameters of type SummarySet
Modifier and Type
Method
Description
`void`
Request.`logLatency(SummarySet metric, String key)`
`void`
Request.`logLatency(SummarySet metric, String key, long currentTime)`

## Uses of SummarySet in org.apache.zookeeper.server.metric

Classes in org.apache.zookeeper.server.metric that implement SummarySet
Modifier and Type
Class
Description
`class`
`AvgMinMaxCounterSet`
Generic set of long counters that keep track of min/max/avg for different keys.
`class`
`AvgMinMaxPercentileCounterSet`
Generic set of long counters that keep track of min/max/avg for different keys.